Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.pagecontext
Interface WcmPageContextService

All Superinterfaces:
  Disposable

    public interface WcmPageContextService

extends Disposable

This interface provides a convenience service to get the current WCM context of a portal page. The service can be obtained via one of the home interfaces listed below.

See Also:
  `PortalWcmPageContextServiceHome`, `PortletWcmPageContextServiceProvider`, `CorWcmPageContextServiceHome`

Method Summary
`void` | `dispose()` Releases the resources of the service.
`DocumentId<? extends ContentComponentContainer>` | `getWcmDefaultContent(DocumentId<? extends ContentComponentContainer> context)` Gets the corresponding default content item, if the WCM context is a SiteArea of PortalPage.
`DocumentId<? extends ContentComponentContainer>` | `getWcmPageContext()` Gets the WCM context of the currently selected page.
`DocumentId<? extends ContentComponentContainer>` | `getWcmPageContext(DocumentId<? extends ContentComponentContainer> defaultContext)` Gets the WCM context of the currently selected page.
`DocumentId<? extends ContentComponentContainer>` | `getWcmPageContext(StateHolder state)` Gets the WCM context of the page that is currently selected in the given state.
`DocumentId<? extends ContentComponentContainer>` | `getWcmPageContext(StateHolder state, DocumentId<? extends ContentComponentContainer> defaultContext)` Gets the WCM context of the page that is currently selected in the given state.
`DocumentId<? extends ContentComponentContainer>` | `getWcmPageContext(StateHolder state, ObjectID page)` Gets the WCM context of the given page.
`DocumentId<? extends ContentComponentContainer>` | `getWcmPageContext(StateHolder state, ObjectID page, DocumentId<? extends ContentComponentContainer> defaultContext)` Gets the WCM context of the given page.
`DocumentId<? extends ContentComponentContainer>` | `getWcmPageContext(StateHolder state, ObjectID page, ObjectID window)` Gets the WCM context of the given portlet window.
`DocumentId<? extends ContentComponentContainer>` | `getWcmPageContext(StateHolder state, ObjectID page, ObjectID window, DocumentId<? extends ContentComponentContainer> defaultContext)` Gets the WCM context of the given portlet window.

Method Detail

### dispose

    void dispose()

  Releases the resources of the service.

  Specified by:
    `dispose` in interface `Disposable`

### getWcmDefaultContent

    DocumentId<? extends ContentComponentContainer> getWcmDefaultContent(DocumentId<? extends ContentComponentContainer> context)
                                                                         throws WCMException

  Gets the corresponding default content item, if the WCM context is a SiteArea of PortalPage.

  Parameters:
    `context` - WCM context of the page
  Returns:
    DocumentId of the corresponding default content item. If the context is already a content item, this item is returned.
  Throws:
    `WCMException`

### getWcmPageContext

    DocumentId<? extends ContentComponentContainer> getWcmPageContext()
                                                                      throws StateException,
                                                                             WCMException,
                                                                             ContentMappingException

  Gets the WCM context of the currently selected page.

  Returns:
    DocumentId of the Content, SiteArea or PortalPage representing the WCM context of the page
  Throws:
    `StateException`
    `WCMException`
    `ContentMappingException`

### getWcmPageContext

    DocumentId<? extends ContentComponentContainer> getWcmPageContext(DocumentId<? extends ContentComponentContainer> defaultContext)
                                                                      throws StateException,
                                                                             WCMException,
                                                                             ContentMappingException

  Gets the WCM context of the currently selected page. If the state does not contain any WCM context information, this method returns the given default context instead of the default (or system) mapping.

  Parameters:
    `defaultContext` - context to be returned if the state does not contain any WCM context information.
  Returns:
    DocumentId of the Content, SiteArea or PortalPage representing the WCM context of the page
  Throws:
    `StateException`
    `WCMException`
    `ContentMappingException`

### getWcmPageContext

    DocumentId<? extends ContentComponentContainer> getWcmPageContext(StateHolder state)
                                                                      throws StateException,
                                                                             WCMException,
                                                                             ContentMappingException

  Gets the WCM context of the page that is currently selected in the given state.

  Parameters:
    `state` - StateHolder with the state to be used
  Returns:
    DocumentId of the Content, SiteArea or PortalPage representing the WCM context of the page
  Throws:
    `StateException`
    `WCMException`
    `ContentMappingException`

### getWcmPageContext

    DocumentId<? extends ContentComponentContainer> getWcmPageContext(StateHolder state,
                                                                      DocumentId<? extends ContentComponentContainer> defaultContext)
                                                                      throws StateException,
                                                                             WCMException,
                                                                             ContentMappingException

  Gets the WCM context of the page that is currently selected in the given state. If the state does not contain any WCM context information, this method returns the given default context instead of the default (or system) mapping.

  Parameters:
    `state` - StateHolder with the state to be used
    `defaultContext` - context to be returned if the state does not contain any WCM context information.
  Returns:
    DocumentId of the Content, SiteArea or PortalPage representing the WCM context of the page
  Throws:
    `StateException`
    `WCMException`
    `ContentMappingException`

### getWcmPageContext

    DocumentId<? extends ContentComponentContainer> getWcmPageContext(StateHolder state,
                                                                      ObjectID page)
                                                                      throws StateException,
                                                                             WCMException,
                                                                             ContentMappingException

  Gets the WCM context of the given page.

  Parameters:
    `state` - StateHolder of the state to be used
    `page` - ObjectID of the page
  Returns:
    DocumentId of the Content, SiteArea or PortalPage representing the WCM context of the page
  Throws:
    `StateException`
    `WCMException`
    `ContentMappingException`

### getWcmPageContext

    DocumentId<? extends ContentComponentContainer> getWcmPageContext(StateHolder state,
                                                                      ObjectID page,
                                                                      DocumentId<? extends ContentComponentContainer> defaultContext)
                                                                      throws StateException,
                                                                             WCMException,
                                                                             ContentMappingException

  Gets the WCM context of the given page. If the state does not contain any WCM context information, this method returns the given default context instead of the default (or system) mapping.

  Parameters:
    `state` - StateHolder of the state to be used
    `page` - ObjectID of the page
    `defaultContext` - context to be returned if the state does not contain any WCM context information.
  Returns:
    DocumentId of the Content, SiteArea or PortalPage representing the WCM context of the page
  Throws:
    `StateException`
    `WCMException`
    `ContentMappingException`

### getWcmPageContext

    DocumentId<? extends ContentComponentContainer> getWcmPageContext(StateHolder state,
                                                                      ObjectID page,
                                                                      ObjectID window)
                                                                      throws StateException,
                                                                             WCMException,
                                                                             ContentMappingException

  Gets the WCM context of the given portlet window.

  Parameters:
    `state` - StateHolder of the state to be used
    `page` - ObjectID of the page the portlet window is located
    `window` - ObjectID of the portlet window
  Returns:
    DocumentId of the Content, SiteArea or PortalPage representing the WCM context of the page
  Throws:
    `StateException`
    `WCMException`
    `ContentMappingException`

### getWcmPageContext

    DocumentId<? extends ContentComponentContainer> getWcmPageContext(StateHolder state,
                                                                      ObjectID page,
                                                                      ObjectID window,
                                                                      DocumentId<? extends ContentComponentContainer> defaultContext)
                                                                      throws StateException,
                                                                             WCMException,
                                                                             ContentMappingException

  Gets the WCM context of the given portlet window. If the state does not contain any WCM context information, this method returns the given default context instead of the default (or system) mapping.

  Parameters:
    `state` - StateHolder of the state to be used
    `page` - ObjectID of the page the portlet window is located
    `window` - ObjectID of the portlet window
    `defaultContext` - context to be returned if the state does not contain any WCM context information.
  Returns:
    DocumentId of the Content, SiteArea or PortalPage representing the WCM context of the page
  Throws:
    `StateException`
    `WCMException`
    `ContentMappingException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD